class StaffManagerUsersHelper
  def self.get_all_users
    ActiveRecord::Base.include_root_in_json = false
    result = []
    users = User.status(1)
    # users = users.select("DISTINCT #{User.table_name}.*")
    users = users.select("DISTINCT #{User.table_name}.id, #{User.table_name}.firstname, #{User.table_name}.lastname ")
    users = users.joins("LEFT OUTER JOIN #{RttaUserState.table_name} ON #{RttaUserState.table_name}.user_id = #{User.table_name}.id LEFT OUTER JOIN #{Issue.table_name} ON #{Issue.table_name}.id = #{RttaUserState.table_name}.issue_id LEFT OUTER JOIN #{Project.table_name} ON #{Project.table_name}.id = #{Issue.table_name}.project_id")

    users.each do |user|
      result.push({
        id: user.id,
        n: user.firstname + ' ' + user.lastname,
        s: user.tracker_state.any? ? StaffManagerStatus::STATUS_CODES[user.tracker_state[0].get_status] : StaffManagerStatus::STATUS_CODES['undefined'],
        # s: users_ss_data.key?(user.id.to_s) ? StaffManagerStatus::STATUS_CODES[user.tracker_state[0].get_status] : StaffManagerStatus::STATUS_CODES[StaffManagerStatus::OFFLINE],
      })
    end

    result
  end
end
