# Plugin's routes
# See: http://guides.rubyonrails.org/routing.html

# RTTA settings plugin page
get 'time_tracker_administrator', :to => 'time_tracker_administrator#index'
get 'time_tracker_administrator/menu_item', :to => 'time_tracker_administrator#menu_item'
get 'time_tracker_administrator/active_users_count', :to => 'time_tracker_administrator#active_users_count'
get 'time_tracker_administrator/plugin_settings', :to => 'time_tracker_administrator#plugin_settings'
post 'time_tracker_administrator/save_plugin_settings', :to => 'time_tracker_administrator#save_plugin_settings'
get 'time_tracker_administrator/rtt_settings', :to => 'time_tracker_administrator#rtt_settings'
post 'time_tracker_administrator/save_rtt_settings', :to => 'time_tracker_administrator#save_rtt_settings'
post 'time_tracker_administrator/users', :to => 'time_tracker_administrator#users'
get 'time_tracker_administrator/issue_statuses', :to => 'time_tracker_administrator#issue_statuses'
get 'time_tracker_administrator/issue_priorities', :to => 'time_tracker_administrator#issue_priorities'

# RTTA server requests
get 'time_tracker_administrator_events/authenticate', :to => 'time_tracker_administrator_events#authenticate', :as => 'rtta_events_authenticate'

# RTTA app
get 'time_tracker_administrator/check_plugin', :to => 'time_tracker_administrator_app#check_plugin'
get 'time_tracker_administrator/check_plugin/:param', :to => 'time_tracker_administrator_app#check_plugin'
# post 'time_tracker_administrator/add_time', :to => 'time_tracker_administrator_app#add_time'
get 'time_tracker_administrator/get_user_settings', :to => 'time_tracker_administrator_app#get_user_settings'
get 'time_tracker_administrator/:id/issue_statuses', :to => 'time_tracker_administrator_app#statuses_for_issue'
# post 'time_tracker_administrator/update_user_state', :to => 'time_tracker_administrator_app#update_user_state'
post 'time_tracker_administrator/actions', :to => 'time_tracker_administrator_app#actions'

# Stuff manager plugin page
get 'rtt_stuff_manager', :to => 'time_tracker_stuff_manager#index'
get 'rtt_stuff_manager/roles', :to => 'time_tracker_stuff_manager#roles'
get 'rtt_stuff_manager/groups', :to => 'time_tracker_stuff_manager#groups'
post 'rtt_stuff_manager/users', :to => 'time_tracker_stuff_manager#users'

# Users data
get 'time_tracker_users_data/get', :to => 'time_tracker_users_data#get'
post 'time_tracker_users_data/set', :to => 'time_tracker_users_data#set'
