class TimeTrackerAdministratorEventsController < ApplicationController
  # Accept API authentication
  if Redmine::VERSION::MAJOR == 1 and Redmine::VERSION::MINOR <= 3
    accept_key_auth :authenticate
  else
    accept_api_auth :authenticate
  end

  # Returns user info
  def authenticate
    render :json => User.current.as_json
  end
end
