if Redmine::VERSION::MAJOR >= 4
  class CreateRttaAppRequests < ActiveRecord::Migration[4.2]
    def change
      create_table :rtta_app_requests do |t|
        t.integer :user_id
        t.integer :issue_id
        t.text :request_ids
        t.timestamps
      end
    end
  end
else
  class CreateRttaAppRequests < ActiveRecord::Migration
    def change
      create_table :rtta_app_requests do |t|
        t.integer :user_id
        t.integer :issue_id
        t.text :request_ids
        t.timestamps
      end
    end
  end
end
