if Redmine::VERSION::MAJOR >= 4
  class CreateRttaUserStates < ActiveRecord::Migration[4.2]
    # def up
    def change
      create_table :rtta_user_states do |t|
        t.integer :user_id
        t.integer :issue_id
        t.string :status
        t.integer :status_order
        t.float :time_range
        t.datetime :paused_at
        t.timestamps
      end
    end
  end
else
  class CreateRttaUserStates < ActiveRecord::Migration
    # def up
    def change
      create_table :rtta_user_states do |t|
        t.integer :user_id
        t.integer :issue_id
        t.string :status
        t.integer :status_order
        t.float :time_range
        t.datetime :paused_at
        t.timestamps
      end
    end
  end
end
